%define upstream_name    Term-ProgressBar-Simple
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Simpler progress bars
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Term::ProgressBar::Quiet)
BuildArch: noarch


%description
Progress bars are handy - they tell you how much work has been done, how
much is left to do and estimate how long it will take.

But they can be fiddly!

This module does the right thing in almost all cases in a really convenient
way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-8pclos2017
- rebuild against updates

